It works fine with 3.5 Rated 5 out of 5 stars

It works fine with FF 3.5 with "version hack" !!!
1.Download the .xpi file
2.Rename to .zip
3.Extract install.rdf
4.Edit install.rdf file to make this text (line 14):
3.0.*
appear like this:
3.5.*
5.Save changes and pack it back to the .zip file
6.Rename the add-on file back to .xpi and install !!